package com.chenyang.nse.bussiness.performance_monitor.entity;

public class PerformanceMonitorProcess extends DSBaseModel<PerformanceMonitorProcess> {
   String tid;
   String uuid;
   String processName;
   String senderName;
   String senderAddr;
   String receiverName;
   String receiverAddr;
   String exeTime;
   String appType;
   String actType;
   String hidden;
   String remark;
   Integer processOrder;
   String appName;
   long exeTimeMillis;

   public String getTid() {
      return this.tid;
   }

   public String getUuid() {
      return this.uuid;
   }

   public String getProcessName() {
      return this.processName;
   }

   public String getSenderName() {
      return this.senderName;
   }

   public String getSenderAddr() {
      return this.senderAddr;
   }

   public String getReceiverName() {
      return this.receiverName;
   }

   public String getReceiverAddr() {
      return this.receiverAddr;
   }

   public String getExeTime() {
      return this.exeTime;
   }

   public String getAppType() {
      return this.appType;
   }

   public String getActType() {
      return this.actType;
   }

   public String getHidden() {
      return this.hidden;
   }

   public String getRemark() {
      return this.remark;
   }

   public Integer getProcessOrder() {
      return this.processOrder;
   }

   public String getAppName() {
      return this.appName;
   }

   public long getExeTimeMillis() {
      return this.exeTimeMillis;
   }

   public void setTid(final String tid) {
      this.tid = tid;
   }

   public void setUuid(final String uuid) {
      this.uuid = uuid;
   }

   public void setProcessName(final String processName) {
      this.processName = processName;
   }

   public void setSenderName(final String senderName) {
      this.senderName = senderName;
   }

   public void setSenderAddr(final String senderAddr) {
      this.senderAddr = senderAddr;
   }

   public void setReceiverName(final String receiverName) {
      this.receiverName = receiverName;
   }

   public void setReceiverAddr(final String receiverAddr) {
      this.receiverAddr = receiverAddr;
   }

   public void setExeTime(final String exeTime) {
      this.exeTime = exeTime;
   }

   public void setAppType(final String appType) {
      this.appType = appType;
   }

   public void setActType(final String actType) {
      this.actType = actType;
   }

   public void setHidden(final String hidden) {
      this.hidden = hidden;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setProcessOrder(final Integer processOrder) {
      this.processOrder = processOrder;
   }

   public void setAppName(final String appName) {
      this.appName = appName;
   }

   public void setExeTimeMillis(final long exeTimeMillis) {
      this.exeTimeMillis = exeTimeMillis;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PerformanceMonitorProcess)) {
         return false;
      } else {
         PerformanceMonitorProcess other = (PerformanceMonitorProcess)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$tid = this.getTid();
            Object other$tid = other.getTid();
            if (this$tid == null) {
               if (other$tid != null) {
                  return false;
               }
            } else if (!this$tid.equals(other$tid)) {
               return false;
            }

            Object this$uuid = this.getUuid();
            Object other$uuid = other.getUuid();
            if (this$uuid == null) {
               if (other$uuid != null) {
                  return false;
               }
            } else if (!this$uuid.equals(other$uuid)) {
               return false;
            }

            Object this$processName = this.getProcessName();
            Object other$processName = other.getProcessName();
            if (this$processName == null) {
               if (other$processName != null) {
                  return false;
               }
            } else if (!this$processName.equals(other$processName)) {
               return false;
            }

            Object this$senderName = this.getSenderName();
            Object other$senderName = other.getSenderName();
            if (this$senderName == null) {
               if (other$senderName != null) {
                  return false;
               }
            } else if (!this$senderName.equals(other$senderName)) {
               return false;
            }

            Object this$senderAddr = this.getSenderAddr();
            Object other$senderAddr = other.getSenderAddr();
            if (this$senderAddr == null) {
               if (other$senderAddr != null) {
                  return false;
               }
            } else if (!this$senderAddr.equals(other$senderAddr)) {
               return false;
            }

            Object this$receiverName = this.getReceiverName();
            Object other$receiverName = other.getReceiverName();
            if (this$receiverName == null) {
               if (other$receiverName != null) {
                  return false;
               }
            } else if (!this$receiverName.equals(other$receiverName)) {
               return false;
            }

            Object this$receiverAddr = this.getReceiverAddr();
            Object other$receiverAddr = other.getReceiverAddr();
            if (this$receiverAddr == null) {
               if (other$receiverAddr != null) {
                  return false;
               }
            } else if (!this$receiverAddr.equals(other$receiverAddr)) {
               return false;
            }

            Object this$exeTime = this.getExeTime();
            Object other$exeTime = other.getExeTime();
            if (this$exeTime == null) {
               if (other$exeTime != null) {
                  return false;
               }
            } else if (!this$exeTime.equals(other$exeTime)) {
               return false;
            }

            Object this$appType = this.getAppType();
            Object other$appType = other.getAppType();
            if (this$appType == null) {
               if (other$appType != null) {
                  return false;
               }
            } else if (!this$appType.equals(other$appType)) {
               return false;
            }

            Object this$actType = this.getActType();
            Object other$actType = other.getActType();
            if (this$actType == null) {
               if (other$actType != null) {
                  return false;
               }
            } else if (!this$actType.equals(other$actType)) {
               return false;
            }

            Object this$hidden = this.getHidden();
            Object other$hidden = other.getHidden();
            if (this$hidden == null) {
               if (other$hidden != null) {
                  return false;
               }
            } else if (!this$hidden.equals(other$hidden)) {
               return false;
            }

            Object this$remark = this.getRemark();
            Object other$remark = other.getRemark();
            if (this$remark == null) {
               if (other$remark != null) {
                  return false;
               }
            } else if (!this$remark.equals(other$remark)) {
               return false;
            }

            Object this$processOrder = this.getProcessOrder();
            Object other$processOrder = other.getProcessOrder();
            if (this$processOrder == null) {
               if (other$processOrder != null) {
                  return false;
               }
            } else if (!this$processOrder.equals(other$processOrder)) {
               return false;
            }

            Object this$appName = this.getAppName();
            Object other$appName = other.getAppName();
            if (this$appName == null) {
               if (other$appName != null) {
                  return false;
               }
            } else if (!this$appName.equals(other$appName)) {
               return false;
            }

            if (this.getExeTimeMillis() != other.getExeTimeMillis()) {
               return false;
            } else {
               return true;
            }
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof PerformanceMonitorProcess;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $tid = this.getTid();
      result = result * 59 + ($tid == null ? 43 : $tid.hashCode());
      Object $uuid = this.getUuid();
      result = result * 59 + ($uuid == null ? 43 : $uuid.hashCode());
      Object $processName = this.getProcessName();
      result = result * 59 + ($processName == null ? 43 : $processName.hashCode());
      Object $senderName = this.getSenderName();
      result = result * 59 + ($senderName == null ? 43 : $senderName.hashCode());
      Object $senderAddr = this.getSenderAddr();
      result = result * 59 + ($senderAddr == null ? 43 : $senderAddr.hashCode());
      Object $receiverName = this.getReceiverName();
      result = result * 59 + ($receiverName == null ? 43 : $receiverName.hashCode());
      Object $receiverAddr = this.getReceiverAddr();
      result = result * 59 + ($receiverAddr == null ? 43 : $receiverAddr.hashCode());
      Object $exeTime = this.getExeTime();
      result = result * 59 + ($exeTime == null ? 43 : $exeTime.hashCode());
      Object $appType = this.getAppType();
      result = result * 59 + ($appType == null ? 43 : $appType.hashCode());
      Object $actType = this.getActType();
      result = result * 59 + ($actType == null ? 43 : $actType.hashCode());
      Object $hidden = this.getHidden();
      result = result * 59 + ($hidden == null ? 43 : $hidden.hashCode());
      Object $remark = this.getRemark();
      result = result * 59 + ($remark == null ? 43 : $remark.hashCode());
      Object $processOrder = this.getProcessOrder();
      result = result * 59 + ($processOrder == null ? 43 : $processOrder.hashCode());
      Object $appName = this.getAppName();
      result = result * 59 + ($appName == null ? 43 : $appName.hashCode());
      long $exeTimeMillis = this.getExeTimeMillis();
      result = result * 59 + (int)($exeTimeMillis >>> 32 ^ $exeTimeMillis);
      return result;
   }

   public String toString() {
      return "PerformanceMonitorProcess(tid=" + this.getTid() + ", uuid=" + this.getUuid() + ", processName=" + this.getProcessName() + ", senderName=" + this.getSenderName() + ", senderAddr=" + this.getSenderAddr() + ", receiverName=" + this.getReceiverName() + ", receiverAddr=" + this.getReceiverAddr() + ", exeTime=" + this.getExeTime() + ", appType=" + this.getAppType() + ", actType=" + this.getActType() + ", hidden=" + this.getHidden() + ", remark=" + this.getRemark() + ", processOrder=" + this.getProcessOrder() + ", appName=" + this.getAppName() + ", exeTimeMillis=" + this.getExeTimeMillis() + ")";
   }

   public PerformanceMonitorProcess() {
   }

   public PerformanceMonitorProcess(final String tid, final String uuid, final String processName, final String senderName, final String senderAddr, final String receiverName, final String receiverAddr, final String exeTime, final String appType, final String actType, final String hidden, final String remark, final Integer processOrder, final String appName, final long exeTimeMillis) {
      this.tid = tid;
      this.uuid = uuid;
      this.processName = processName;
      this.senderName = senderName;
      this.senderAddr = senderAddr;
      this.receiverName = receiverName;
      this.receiverAddr = receiverAddr;
      this.exeTime = exeTime;
      this.appType = appType;
      this.actType = actType;
      this.hidden = hidden;
      this.remark = remark;
      this.processOrder = processOrder;
      this.appName = appName;
      this.exeTimeMillis = exeTimeMillis;
   }
}
